const fs = require('fs')

exports.tsifyFileContent = (sourceFilePath, targetFilePath, postProcessor) => {
  let fileContent = fs.readFileSync(sourceFilePath, { encoding: 'utf-8' })

  if (postProcessor) {
    fileContent = postProcessor(fileContent)
  }

  fileContent = `/**
 * Autogenerated, do not modify directly
 */
export default \`${fileContent}\`;
`
  fs.writeFileSync(targetFilePath, fileContent, { encoding: 'utf-8' })
}
